Name:           perl-Mail-DKIM
Version:        1.20230212
Release:        1
Summary:        Implements the new Domain Keys Identified Mail (DKIM) standard, and the older Yahoo!
License:        GPL-1.0-or-later or Artistic-1.0
URL:            http://dkimproxy.sourceforge.net/
Source0:        https://cpan.metacpan.org/authors/id/M/MB/MBRADSHAW/Mail-DKIM-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  coreutils make perl-generators perl-interpreter perl(base) perl(Carp)
BuildRequires:  perl(Crypt::OpenSSL::RSA) >= 0.24 perl(Data::Dumper) perl(Digest::SHA)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76 perl(lib) perl(Mail::Address)
BuildRequires:  perl(MIME::Base64) perl(Net::DNS) perl(Net::DNS::Resolver::Mock)
BuildRequires:  perl(strict) perl(Test::More) perl(Test::Simple) perl(warnings) perl(YAML::XS)
BuildRequires:  perl(Mail::AuthenticationResults)
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))


%description
Mail-DKIM is a Perl module that implements the new Domain Keys Identified Mail (DKIM) standard,
and the older Yahoo! DomainKeys standard, both of which sign and verify emails
using digital signatures and DNS records. Mail-DKIM can be used by
any Perl program that wants to provide support for DKIM and/or DomainKeys.

%package help
Summary:        Help documents for perl-Mail-DKIM

%description    help
The perl-Mail-DKIM-help package contains manual pages for perl-MailTools.

%prep
%autosetup -n Mail-DKIM-%{version} -p1
chmod -x scripts/*.pl

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
%{_fixperms} $RPM_BUILD_ROOT/*

%check
%{?!_with_network_tests: rm t/policy.t t/public_key.t }
make test

%files
%doc README.md scripts/*.pl
%{perl_vendorlib}/*

%files help
%doc Changes doc HACKING.DKIM TODO
%{_mandir}/man3/*.3*

%changelog
* Mon May 15 2023 Ge Wang <wang__ge@126.com> - 1.20230212-1
- Upgrade to version 1.20230212

* Tue Jun 21 2022 SimpleUpdate Robot <tc@openeuler.org> - 1.20220520-1
- Upgrade to version 1.20220520

* Fri Dec 6 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.53-4
- Package init
